### Class

# GSSDP ResourceGroup

#### Description [src]

    class GSSDP.ResourceGroup : GObject.Object
    {
      /* No available fields */
    }

Class for controlling resource announcement.

A `GSSDPResourceGroup` is a group of SSDP resources whose availability can be controlled as one. This is useful when one needs to announce a single service as multiple SSDP resources (UPnP does this for example).

#### Ancestors

- GObject

#### Constructors

###### gssdp_resource_group_new

No description available.

#### Instance methods

###### gssdp_resource_group_add_resource

Add an additional resource to announce in this resource group.

###### gssdp_resource_group_add_resource_simple

Adds a resource with target `target`, USN `usn`, and location `location` to `resource_group`. If the resource group is set `GSSDPResourceGroup:available`, it will be announced right away.

###### gssdp_resource_group_get_available

No description available.

###### gssdp_resource_group_get_client

No description available.

###### gssdp_resource_group_get_max_age

No description available.

###### gssdp_resource_group_get_message_delay

No description available.

###### gssdp_resource_group_remove_resource

Removes the resource with ID `resource_id` from `resource_group`.

###### gssdp_resource_group_set_available

Sets `resource_group`s availability to `available`. Changing `resource_group`s availability causes it to announce its new state to listening SSDP clients.

###### gssdp_resource_group_set_max_age

Sets the number of seconds advertisements are valid to `max_age`.

###### gssdp_resource_group_set_message_delay

Sets the minimum time between each SSDP message.

###### gssdp_resource_group_update

Send an `ssdp::update` message if the underlying `GSSDPClient` is running the UDA 1.1 protocol. Does nothing otherwise.

since: 1.2.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### GSSDP.ResourceGroup:available

Whether this group of resources is available or not.

###### GSSDP.ResourceGroup:client

The `GSSDPClient` to use.

###### GSSDP.ResourceGroup:max-age

The number of seconds our advertisements are valid.

###### GSSDP.ResourceGroup:message-delay

The minimum number of milliseconds between SSDP messages. The default is 120 based on DLNA specification.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GSSDPResourceGroupClass {
      GObjectClass parent_class;
      void (* _gssdp_reserved1) (
    void
      );
      void (* _gssdp_reserved2) (
    void
      );
      void (* _gssdp_reserved3) (
    void
      );
      void (* _gssdp_reserved4) (
    void
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`_gssdp_reserved1: void (* _gssdp_reserved1) ( void )`

  No description available.

`_gssdp_reserved2: void (* _gssdp_reserved2) ( void )`

  No description available.

`_gssdp_reserved3: void (* _gssdp_reserved3) ( void )`

  No description available.

`_gssdp_reserved4: void (* _gssdp_reserved4) ( void )`

  No description available.